package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.BaseType;
import de.fhdw.wtf.common.ast.type.ClassType;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.type.AtomicType}.
 */
public interface AtomicTypeVisitor {
	
	/**
	 * Handle-Method.
	 * 
	 * @param baseType
	 *            {@link BaseType}
	 */
	void handle(BaseType baseType);
	
	/**
	 * Handle-Method.
	 * 
	 * @param clazz
	 *            {@link ClassType}
	 */
	void handle(ClassType clazz);
}
