package de.fhdw.wtf.common.exception.editor;

public abstract class CheckException extends Exception {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 4108347970040254141L;
	
	/**
	 * Constructor of {@link CheckException}.
	 */
	public CheckException() {
		super();
	}
	
	/**
	 * Constructor of {@link CheckException}.
	 * 
	 * @param inner
	 *            inner Exception
	 */
	public CheckException(final Exception inner) {
		super(inner);
	}
	
	/**
	 * Accept-Method for Visitor-Pattern.
	 * 
	 * @param v
	 *            {@link CheckExceptionVisitor}
	 */
	public abstract void accept(CheckExceptionVisitor v);
}
