package de.fhdw.wtf.dsl.scanner.common;

/**
 * Interface for input matching.
 * 
 * Used to create {@link Delta}s.
 * 
 */
public interface InputMatcher {
	
	/**
	 * Matches the given {@link Character} c.
	 * 
	 * @param c
	 *            {@link Character} to be matched
	 * @return matching result
	 */
	boolean match(Character c);
	
}
